#include "log.h"
#include <vdr/tools.h>

cLog::cLog(Type t)
{
	type = t;
}

cLog::~cLog()
{
}

void cLog::Flush() {
	const char *msg = buffer.c_str();
	switch (type) {
	case CLOG_INFO:
		isyslog(msg);
		break;
	case CLOG_ERROR:
		esyslog(msg);
		break;
	case CLOG_DEBUG:
		dsyslog(msg);
		break;
	}
	buffer.clear();
}

cLog &cLog::operator<<(std::string &s) {
	buffer += s;	
	return *this;
}

cLog &cLog::operator<<(char *s) {
	buffer += s;
	return *this;
}

cLog &cLog::operator<<(char s) {
	if (s == endl) {
		Flush();
	} else {
		buffer += s;
	}
	return *this;
}

void cLog::Init() {
	cLog::infoLog = new cLog(cLog::CLOG_INFO);
	cLog::errorLog = new cLog(cLog::CLOG_ERROR);
	cLog::debugLog = new cLog(cLog::CLOG_DEBUG);
}
