#ifndef LOG_H_
#define LOG_H_

#include <string>

#define ilog cLog::infoLog  << "__FILE__:__LINE__ " 
#define elog cLog::errorLog << "__FILE__:__LINE__ " 
#define dlog cLog::debugLog << "__FILE__:__LINE__ "
#define endl '\n'

class cLog
{
private:
	std::string buffer;
	void Flush();		
public:
	static cLog *infoLog;
	static cLog *errorLog;
	static cLog *debugLog;
	enum Type {	
		CLOG_INFO,
		CLOG_ERROR,
		CLOG_DEBUG,
	} type;
	static void Init();
	cLog(Type t);
	virtual ~cLog();
	cLog &operator<<(std::string &s);
	cLog &operator<<(char *s);
	cLog &operator<<(char c);
};


#endif /*LOG_H_*/
